curl --request POST \
--url https://api.boostgpt.co/v1/bot/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"message": "<string>",
"provider_key": "<string>",
"provider_host": "<string>",
"model": "<string>",
"source_ids": [
"<string>"
],
"tags": [
"<string>"
],
"top": 5,
"instruction": "<string>",
"max_reply_tokens": 123,
"stream": false,
"chat_id": "<string>",
"reasoning_mode": "auto",
"chat_mode": "ask"
}
'{
"chat": {
"reply": "<string>",
"user": {
"uuid": "<string>",
"chat_id": "<string>",
"content": "<string>",
"model": "<string>",
"complexity": "<string>",
"reasoning_type": "<string>",
"estimated_time_ms": "<string>",
"estimated_cost": "<string>",
"confidence": "<string>",
"channel": "<string>",
"credit_used": "<string>",
"confidence_score": "<string>",
"tokens": 123,
"upvotes": 123,
"downvotes": 123,
"reasoning": {},
"preference": {
"reasoningType": "<string>",
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>"
},
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
],
"updated_at": "2023-11-07T05:31:56Z",
"isToolExecuting": true
},
"agent": {
"uuid": "<string>",
"chat_id": "<string>",
"content": "<string>",
"model": "<string>",
"complexity": "<string>",
"reasoning_type": "<string>",
"estimated_time_ms": "<string>",
"estimated_cost": "<string>",
"confidence": "<string>",
"channel": "<string>",
"credit_used": "<string>",
"confidence_score": "<string>",
"tokens": 123,
"upvotes": 123,
"downvotes": 123,
"reasoning": {},
"preference": {
"reasoningType": "<string>",
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>"
},
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
],
"updated_at": "2023-11-07T05:31:56Z",
"isToolExecuting": true
},
"preference": {
"reasoningType": "<string>",
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>"
},
"meta": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"reasoning_type": "<string>",
"conversation_count": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
},
"config_used": {
"reasoningType": "<string>",
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>"
},
"analytics_id": 123,
"actual_time_ms": 123,
"type": "<string>",
"tool": {
"name": "<string>",
"description": "<string>",
"server_label": "<string>",
"parameters": {},
"reasoning": "<string>"
},
"requiresApproval": true,
"executionId": "<string>",
"originalQuery": "<string>",
"context": "<string>",
"executedTools": [
{}
],
"isComplete": true,
"availableTools": 123,
"stepInfo": "<string>",
"hasMoreSteps": true,
"finalAnswer": "<string>",
"reasoningSteps": [
{
"cycle": 123,
"thought": "<string>",
"action": "<string>",
"actionInput": "<string>",
"observation": "<string>",
"actionSuccess": true,
"timestamp": "<string>",
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
]
}
],
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
],
"totalSteps": 123,
"reasoning": [
{
"cycle": 123,
"thought": "<string>",
"action": "<string>",
"actionInput": "<string>",
"observation": "<string>",
"actionSuccess": true,
"timestamp": "<string>",
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
]
}
],
"reasoningCycles": [
{
"cycle": 123,
"thought": "<string>",
"action": "<string>",
"actionInput": "<string>",
"observation": "<string>",
"actionSuccess": true,
"timestamp": "<string>",
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
]
}
],
"totalCycles": 123,
"converged": true
}
}Chat with Agent
Send a message to an agent and receive a response
curl --request POST \
--url https://api.boostgpt.co/v1/bot/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_id": "<string>",
"bot_id": "<string>",
"message": "<string>",
"provider_key": "<string>",
"provider_host": "<string>",
"model": "<string>",
"source_ids": [
"<string>"
],
"tags": [
"<string>"
],
"top": 5,
"instruction": "<string>",
"max_reply_tokens": 123,
"stream": false,
"chat_id": "<string>",
"reasoning_mode": "auto",
"chat_mode": "ask"
}
'{
"chat": {
"reply": "<string>",
"user": {
"uuid": "<string>",
"chat_id": "<string>",
"content": "<string>",
"model": "<string>",
"complexity": "<string>",
"reasoning_type": "<string>",
"estimated_time_ms": "<string>",
"estimated_cost": "<string>",
"confidence": "<string>",
"channel": "<string>",
"credit_used": "<string>",
"confidence_score": "<string>",
"tokens": 123,
"upvotes": 123,
"downvotes": 123,
"reasoning": {},
"preference": {
"reasoningType": "<string>",
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>"
},
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
],
"updated_at": "2023-11-07T05:31:56Z",
"isToolExecuting": true
},
"agent": {
"uuid": "<string>",
"chat_id": "<string>",
"content": "<string>",
"model": "<string>",
"complexity": "<string>",
"reasoning_type": "<string>",
"estimated_time_ms": "<string>",
"estimated_cost": "<string>",
"confidence": "<string>",
"channel": "<string>",
"credit_used": "<string>",
"confidence_score": "<string>",
"tokens": 123,
"upvotes": 123,
"downvotes": 123,
"reasoning": {},
"preference": {
"reasoningType": "<string>",
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>"
},
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
],
"updated_at": "2023-11-07T05:31:56Z",
"isToolExecuting": true
},
"preference": {
"reasoningType": "<string>",
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>"
},
"meta": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
],
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"reasoning_type": "<string>",
"conversation_count": 123,
"prompt_tokens_details": {
"cached_tokens": 123,
"audio_tokens": 123
},
"completion_tokens_details": {
"reasoning_tokens": 123,
"audio_tokens": 123,
"accepted_prediction_tokens": 123,
"rejected_prediction_tokens": 123
}
},
"config_used": {
"reasoningType": "<string>",
"model": "<string>",
"maxTokens": 123,
"complexity": "<string>"
},
"analytics_id": 123,
"actual_time_ms": 123,
"type": "<string>",
"tool": {
"name": "<string>",
"description": "<string>",
"server_label": "<string>",
"parameters": {},
"reasoning": "<string>"
},
"requiresApproval": true,
"executionId": "<string>",
"originalQuery": "<string>",
"context": "<string>",
"executedTools": [
{}
],
"isComplete": true,
"availableTools": 123,
"stepInfo": "<string>",
"hasMoreSteps": true,
"finalAnswer": "<string>",
"reasoningSteps": [
{
"cycle": 123,
"thought": "<string>",
"action": "<string>",
"actionInput": "<string>",
"observation": "<string>",
"actionSuccess": true,
"timestamp": "<string>",
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
]
}
],
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
],
"totalSteps": 123,
"reasoning": [
{
"cycle": 123,
"thought": "<string>",
"action": "<string>",
"actionInput": "<string>",
"observation": "<string>",
"actionSuccess": true,
"timestamp": "<string>",
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
]
}
],
"reasoningCycles": [
{
"cycle": 123,
"thought": "<string>",
"action": "<string>",
"actionInput": "<string>",
"observation": "<string>",
"actionSuccess": true,
"timestamp": "<string>",
"sources": [
{
"citation_number": 123,
"source_id": "<string>",
"title": "<string>",
"url": "<string>",
"favicon": "<string>",
"type": "<string>",
"tags": [
"<string>"
]
}
]
}
],
"totalCycles": 123,
"converged": true
}
}Authorizations
Enter your API key
Body
Project ID
Agent ID
The user's message
Optional API key for the AI provider
Optional host URL for the AI provider
Override the default model for this request
Specific memory sources to use
Filter memory by tags
Number of memory results to include
Override system instructions for this request
Maximum tokens in the response
Enable streaming response
Chat conversation ID (creates new if not provided)
Reasoning mode for the agent response. 'auto' selects the best approach automatically, 'standard' for quick single-pass answers (1x credit), 'agent' for autonomous multi-step reasoning with tool use (up to 10x credit)
auto, standard, agent Chat mode. 'ask' for normal chat, 'edit' for agent-powered code editing, 'plan' for conversational plan-then-execute workflow
ask, edit, plan Response
Chat response received successfully
Response structure varies based on reasoning_mode. Contains 'chat' object with mode-specific fields.
Chat response data with mode-specific structure
Show child attributes
Show child attributes
Was this page helpful?